aboutsummaryrefslogtreecommitdiff
path: root/tools/darwin
diff options
context:
space:
mode:
authorAndrey Filipenkov <decapitator@ukr.net>2022-05-30 12:43:27 +0300
committerAndrey Filipenkov <decapitator@ukr.net>2022-05-30 12:43:27 +0300
commit47abb007335a0134a3839468e89820ced02f7298 (patch)
tree7bd32b4f403084dbb3e9a53b38a4164ad4ca80d3 /tools/darwin
parent65feb3d9e30223aa298095049a0cdcdcc857f724 (diff)
[macOS] make the parent DMG script sh-compatible
Diffstat (limited to 'tools/darwin')
-rwxr-xr-xtools/darwin/packaging/osx/mkdmg-osx.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/darwin/packaging/osx/mkdmg-osx.sh.in b/tools/darwin/packaging/osx/mkdmg-osx.sh.in
index 458a7b6ec3..c66c5642f9 100755
--- a/tools/darwin/packaging/osx/mkdmg-osx.sh.in
+++ b/tools/darwin/packaging/osx/mkdmg-osx.sh.in
@@ -78,7 +78,7 @@ echo "done"
# codesign and notarize dmg
if [ "$EXPANDED_CODE_SIGN_IDENTITY_NAME" ]; then
codesign --verbose=4 --sign "$EXPANDED_CODE_SIGN_IDENTITY_NAME" "$dmgPath"
- if ! ./notarize.sh "$dmgPath" "$APP/Contents/Info.plist" && [[ $isReleaseBuild == 1 ]]; then
+ if ! ./notarize.sh "$dmgPath" "$APP/Contents/Info.plist" && [ "$isReleaseBuild" = 1 ]; then
exit 1
fi
fi